summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorBjörn Wiedenmann2017-06-10 08:33:45 +0200
committerBjörn Wiedenmann2017-06-10 08:33:45 +0200
commitf106a01ed7dd9c5eccf5191bbbf97778a1140fd0 (patch)
treed584edee048b1d52996de5aa044b528d2ac14f6a
parent3140f74d2025ec86eef918ab4132d8b73238a62f (diff)
downloadaur-f106a01ed7dd9c5eccf5191bbbf97778a1140fd0.tar.gz
Forced building against openssl-1.0
I am not happy with the solution though as I haven't found a clean way of forcing openssh to build against a specific openssl version. I tried pkg-config, but either it doesn't work or I am doing it wrong. Now I am using a hack, where I am using prepare() to symlink the openssl-1.0 files into the build directory and pass them to the configure script via the --with-ssl-dir option. If anyone has a cleaner way of doing this, please feel free to share it. Any help is greatly appreciated. I also had a look at the openssl-1.1.0 patch the openssh package from the core repo is using: It does apply cleanly but it is not enough. I am afraid we will have to wait for upstream to get a proper openssl-1.1.0 patch.
-rw-r--r--.SRCINFO6
-rw-r--r--PKGBUILD21
2 files changed, 22 insertions, 5 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 4d4f72bc2d8..5ccc40d27fa 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,9 +1,9 @@
# Generated by mksrcinfo v8
-# Sat Apr 15 15:28:34 UTC 2017
+# Sat Jun 10 06:32:38 UTC 2017
pkgbase = openssh-hpn-git
pkgdesc = A Secure SHell server/client fork with High Performance patches included
pkgver = 7.5.P1.r71.gecb50afb
- pkgrel = 1
+ pkgrel = 2
url = http://www.psc.edu/networking/projects/hpn-ssh/
install = openssh-hpn-git.install
arch = i686
@@ -14,7 +14,7 @@ pkgbase = openssh-hpn-git
depends = krb5
depends = ldns
depends = libedit
- depends = openssl
+ depends = openssl-1.0
depends = pam
optdepends = xorg-xauth: X11 forwarding
optdepends = x11-ssh-askpass: input passphrase in X
diff --git a/PKGBUILD b/PKGBUILD
index d3baafb903f..49176fc333a 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -38,12 +38,12 @@
pkgname=openssh-hpn-git
pkgver=7.5.P1.r71.gecb50afb
-pkgrel=1
+pkgrel=2
pkgdesc='A Secure SHell server/client fork with High Performance patches included'
url='http://www.psc.edu/networking/projects/hpn-ssh/'
license=('custom:BSD')
arch=('i686' 'x86_64' 'armv7h')
-depends=('krb5' 'ldns' 'libedit' 'openssl' 'pam')
+depends=('krb5' 'ldns' 'libedit' 'openssl-1.0' 'pam')
makedepends=('git')
optdepends=('xorg-xauth: X11 forwarding'
'x11-ssh-askpass: input passphrase in X')
@@ -72,6 +72,22 @@ sha256sums=('SKIP'
install=$pkgname.install
+prepare() {
+
+ if ! [ -e openssl-1.0 ] ; then
+ mkdir openssl-1.0
+ fi
+
+ if ! [ -e openssl-1.0/include ] ; then
+ ln -s /usr/include/openssl-1.0 openssl-1.0/include
+ fi
+
+ if ! [ -e openssl-1.0/lib ] ; then
+ ln -s /usr/lib/openssl-1.0 openssl-1.0/lib
+ fi
+
+}
+
pkgver() {
cd openssh-portable/
@@ -106,6 +122,7 @@ build() {
--with-mantype=man \
--with-md5-passwords \
--with-pid-dir=/run \
+ --with-ssl-dir=../openssl-1.0 \
make
}